<div>
    <h2 id="page-heading">
        <span jhiTranslate="winpharmApp.produit.home.title">Produits</span>
    </h2>
    <p>
        <p-autoComplete onchange="onSearch(text)" (keyup)="onSearch(text)" class="" placeholder="Chercher un produit" [(ngModel)]="text" [suggestions]="results" (completeMethod)="search($event)" [dropdownMode]="'current'" [immutable]="false"></p-autoComplete>
        <button *jhiHasAnyAuthority="'ROLE_ADMIN'" id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-produit" [routerLink]="['/produit/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="winpharmApp.produit.home.createLabel">
            Create a new Produit
            </span>
        </button>
    </p>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="produits?.length === 0">
        <span jhiTranslate="winpharmApp.produit.home.notFound">No produits found</span>
    </div>
    <div class="table-responsive" *ngIf="produits?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="designation"><span jhiTranslate="winpharmApp.produit.designation">Designation</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="actif"><span jhiTranslate="winpharmApp.produit.actif">Actif</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="rayon.libelle"><span jhiTranslate="winpharmApp.produit.rayon">Rayon</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="categorie.libelle"><span jhiTranslate="winpharmApp.produit.categorie">Categorie</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <!-- <th jhiSortBy="laboratoire.raisonSociale"><span jhiTranslate="winpharmApp.produit.laboratoire">Laboratoire</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="grossiste.raisonSociale"><span jhiTranslate="winpharmApp.produit.grossiste">Grossiste</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="stock.id"><span jhiTranslate="winpharmApp.produit.stock">Stock</span> <fa-icon [icon]="'sort'"></fa-icon></th> -->
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let produit of produits ;trackBy: trackId">
                <td><a [routerLink]="['/produit', produit.id, 'view' ]">{{produit.id}}</a></td>
                <td>{{produit.designation}}</td>
                <td>{{produit.actif}}</td>
                <td>
                    <div *ngIf="produit.rayon">
                        <a [routerLink]="['/rayon', produit.rayon?.id, 'view' ]" >{{produit.rayon?.libelle}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="produit.categorie">
                        <a [routerLink]="['/categorie', produit.categorie?.id, 'view' ]" >{{produit.categorie?.libelle}}</a>
                    </div>
                </td>
                <!-- <td>
                    <div *ngIf="produit.laboratoire">
                        <a [routerLink]="['/laboratoire', produit.laboratoire?.id, 'view' ]" >{{produit.laboratoire?.raisonSociale}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="produit.grossiste">
                        <a [routerLink]="['/grossiste', produit.grossiste?.id, 'view' ]" >{{produit.grossiste?.raisonSociale}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="produit.stock">
                        <a [routerLink]="['/stock', produit.stock?.id, 'view' ]" >{{produit.stock?.id}}</a>
                    </div>
                </td> -->
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/produit', produit.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/produit', produit.id, 'edit']"
                                class="btn btn-primary btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/produit', { outlets: { popup: produit.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="produits?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
